Package net.shibboleth.spring

# Class ScriptTypeBeanParser

java.lang.Object
net.shibboleth.spring.ScriptTypeBeanParser

public final class ScriptTypeBeanParser extends Object
Parser for elements derived from ScriptType in the various namespaces.

The actual bean type is a runtime class so that different objects adhering to the general factory contracts used with scripted beans will work.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`ScriptTypeBeanParser()`
Private c'tor.

## Method Summary

Modifier and Type
Method
Description
`static BeanDefinitionBuilder`
`parseScriptType(Class<?> type, Element element)`
Parse and return a builder for a bean adhering to the contract of ScriptedType.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ScriptTypeBeanParser

private ScriptTypeBeanParser()
Private c'tor.

## Method Details

### parseScriptType

@Nonnull public static BeanDefinitionBuilder parseScriptType(@Nonnull Class<?> type, @Nonnull Element element)
Parse and return a builder for a bean adhering to the contract of ScriptedType.

Parameters:
  `type` - type of object to build
  `element` - root of XML configuration
Returns:
  bean definition builder